#!/usr/bin/python

import sys
import numpy

if len(sys.argv) != 2 :
	sys.exit("Expected file name as only argument")

try:
	with open(sys.argv[1]) as f:
		content = f.readlines()
		content = [x.strip() for x in content]
		content = [int(x) for x in content]
		content.remove(max(content))
		content.remove(min(content))
		med = numpy.around( numpy.median(content), decimals=1)
		avg = numpy.around( numpy.mean  (content), decimals=2)
		std = numpy.around( numpy.std   (content), decimals=2)
		print "median {0} avg {1} stddev {2}".format( med, avg, std )


except IOError as e:
	sys.exit(e.strerror)